精华 配置 Windows 下的 nodejs C++ 模块编译环境
发布于 3 年前 作者 fengmk2 4191 次浏览 最后一次编辑是 6 个月前 来自 分享

根据 node-gyp 指示的 Windows 编译环境说明, 简单一句话就是 “Python + VC++ 编译环境”.

所有需要的安装文件, 我都下载好放到百度云盘了: nodejs-gyp-windows

Python

  • 安装 python-2.7.7.msi

iso 虚拟磁盘

  • 安装 DTLite4491-0356.exe

Windows XP

文件在: node-gyp-windows/windowsXP

  • 用 DTLite 打开 VS2010Express1.iso , 然后安装 Visual Studio C++ 2010 就OK了, 其他不需要安装

Windows 7

文件在: node-gyp-windows/windows7

  • 用 DTLite 打开 VS2012_WDX_ENU.iso , 然后点击 “Install” 就OK了, 会安装整个 Visual Studio Express 2012

编译你的第一个 nodejs c++ 模块

假设你在使用 node v0.10.29

这里举例安装 microtime 模块:

$ npm install microtime --registry=https://registry.npm.taobao.org --disturl=https://npm.taobao.org/dist

测试安装编译结果:

$ node -e 'console.log("now is %d ms", require("microtime").now())'

原文: http://fengmk2.cnpmjs.org/blog/2014/07/node-gyp-cpp-build-env.html

7 回复

苏老师神文顶起

苏神科普文,学习了~

好文章, 不过我装了 c++ vs express 之后还行不行, 难道是版本不对么, 反正是费老大劲了

我一般都是建议别人安装 vs2010 profession 版本,最靠谱

装个VS,妥妥滴……

@snoopy 哈哈,公开文章不能发盗版的。我试了好几台都ok,不知道具体错误是啥,可以贴上来。

作为一个newbie,在node-gyp build时 报错: error C2039: ‘Arguments’: is not a member of ‘v8’;这个什么问题,跟什么有关???

回到顶部